common_config:
  allowed_account_ids:
    - 123456789034
  region: us-east-1
  default_tags:
    environment: dev
    project: labs

vpc:
  example-1:
    # vpc with flow logs s3 bucket
    cidr: "10.0.0.0/16"
    azs:
      - "us-east-1a"
      - "us-east-1b"
      - "us-east-1c"
    private_subnets:
      - "10.0.1.0/24"
      - "10.0.2.0/24"
    public_subnets:
      - "10.0.3.0/24"
      - "10.0.4.0/24"
    enable_flow_log: true
    flow_log_destination_type: "s3"
    flow_log_destination_arn: arn:aws:s3:::test-terraform-bucket

  example-2:
    # vpc with flow logs s3 bucket for file type parquet
    cidr: "10.1.0.0/16"
    azs:
      - "us-east-1a"
      - "us-east-1b"
      - "us-east-1c"
    private_subnets:
      - "10.1.1.0/24"
      - "10.1.2.0/24"
    public_subnets:
      - "10.1.3.0/24"
      - "10.1.4.0/24"
    enable_flow_log: true
    flow_log_destination_type: "s3"
    flow_log_destination_arn: arn:aws:s3:::test-terraform-bucket
    flow_log_file_format: "parquet"

  example-3:
    # CloudWatch Log Group and IAM role created automatically
    cidr: "10.2.0.0/16"
    azs:
      - "us-east-1a"
      - "us-east-1b"
      - "us-east-1c"
    private_subnets:
      - "10.2.1.0/24"
      - "10.2.2.0/24"
    public_subnets:
      - "10.2.3.0/24"
      - "10.2.4.0/24"
    # Cloudwatch log group and IAM role will be created
    enable_flow_log: true
    create_flow_log_cloudwatch_log_group: true
    create_flow_log_cloudwatch_iam_role: true
    flow_log_max_aggregation_interval: 60
    flow_log_cloudwatch_log_group_name_prefix: "/aws/my-amazing-vpc-flow-logz/"
    flow_log_cloudwatch_log_group_name_suffix: "my-test"

  example-4:
    # CloudWatch Log Group and IAM role created separately
    cidr: "10.3.0.0/16"
    azs:
      - "us-east-1a"
      - "us-east-1b"
      - "us-east-1c"
    private_subnets:
      - "10.3.1.0/24"
      - "10.3.2.0/24"
    public_subnets:
      - "10.3.3.0/24"
      - "10.3.4.0/24"
    enable_flow_log: true
    flow_log_destination_type: "cloud-watch-logs"
    flow_log_destination_arn: arn:aws:logs:us-east-1:123456789034:log-group:/aws/logs:*
    flow_log_cloudwatch_iam_role_arn: arn:aws:iam::123456789034:role/vpc-flow-log-role
